module Main
where

import PCFormula
import ToClause
import PCResolution
import List
import Maybe
import Debug.Trace
import System

fileProve conjtxt axstxt =
          let 
            axs = --trace ("axioms\n"++axstxt) 
                    (rmrmfact (concatMap formulaToClause 
                                   (filter (not.null) (lines axstxt))))
            conj = -- trace "conjecture"
                     ((rmrmfact . negateConjecture) conjtxt)
          in 
            if search totalFilter dfs conj axs
            then putStrLn "teorema"
            else putStrLn "falha"


main = do args <- getArgs
          axstxt <- readFile (args!!0)
          -- putStrLn axstxt
          -- conjtxt <- readFile (args!!1)
          -- putStrLn conjtxt
          fileProve  (args!!1) axstxt  
          
